WebSocket API

fco.statusHistory

Lấy lịch sử thay đổi trạng thái của một lệnh điều kiện (fcoId). Không yêu cầu chữ ký. Nếu bị lỗi HOẶC danh sách lịch sử rỗng, response trả về error.code: "FCO_ERROR" (khác với fco.orderbook/fco.list, vốn coi danh sách rỗng vẫn là thành công).

Scope bắt buộc: tradingws:fco:get.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
fcoIdstringrequired

Định danh lệnh điều kiện.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0008",
  "method": "fco.statusHistory",
  "params": {
    "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638"
  },
  "timestamp": 1755000007000
}'

Sample Response

{
  "id": "req-0008",
  "method": "fco.statusHistory",
  "status": 200,
  "result": {
    "data": [
      {
        "state": "INIT",
        "time": "29/07/2026 09:15:32",
        "code": 200,
        "detail": "Created"
      }
    ]
  },
  "rateLimit": {
    "limit": 100,
    "remaining": 97,
    "resetMs": 860
  }
}